#ifndef WATER_INPUT_INCLUDED
#define WATER_INPUT_INCLUDED
#include "Packages/com.unity.render-pipelines.universal/ShaderLibrary/Core.hlsl"
SAMPLER(sampler_ScreenTextures_linear_clamp);
//TEXTURE2D(_CameraDepthTexture);
TEXTURE2D(_PlanarReflectionTexture);
TEXTURE2D(_AbsorptionScatteringRamp); SAMPLER(sampler_AbsorptionScatteringRamp);
TEXTURE2D(_SurfaceMap); SAMPLER(sampler_SurfaceMap);
TEXTURE2D(_FoamMap); SAMPLER(sampler_FoamMap);
float4 _SurfaceMap_ST;
#endif